TeachTxtParserInternal::State Struct Reference documentation

Public Member Functions | Public Attributes | List of all members
TeachTxtParserInternal::State Struct Reference

Internal: the state of a TeachTxtParser. More...

## Public Member Functions
| State ()
| constructor More...

## Public Attributes
MWAWDocument::Type | m_type
| the file type More...
std::map< long, MWAWFont > | m_posFontMap
| the map of id -> font More...
std::map< int, MWAWEntry > | m_idPictEntryMap
| a map id->pictEntry More...
int | m_numberSpacesForTab
| number of space to used to replace tab (0: means keep tabs ) More...
int | m_actPage
| the actual page More...
int | m_numPages
| the number of page of the final document More...
int | m_headerHeight
| the header height if known More...
int | m_footerHeight
| the footer height if known More...

## Detailed Description

Internal: the state of a TeachTxtParser.

## Constructor & Destructor Documentation

## ◆ State()

TeachTxtParserInternal::State::State | ( |  | ) |
| inline

constructor

## Member Data Documentation

## ◆ m_actPage

int TeachTxtParserInternal::State::m_actPage

the actual page

## ◆ m_footerHeight

int TeachTxtParserInternal::State::m_footerHeight

the footer height if known

## ◆ m_headerHeight

int TeachTxtParserInternal::State::m_headerHeight

the header height if known

## ◆ m_idPictEntryMap

std::map<int,MWAWEntry> TeachTxtParserInternal::State::m_idPictEntryMap

a map id->pictEntry

## ◆ m_numberSpacesForTab

int TeachTxtParserInternal::State::m_numberSpacesForTab

number of space to used to replace tab (0: means keep tabs )

## ◆ m_numPages

int TeachTxtParserInternal::State::m_numPages

the number of page of the final document

## ◆ m_posFontMap

std::map<long, MWAWFont > TeachTxtParserInternal::State::m_posFontMap

the map of id -> font

## ◆ m_type

MWAWDocument::Type TeachTxtParserInternal::State::m_type

the file type

The documentation for this struct was generated from the following file:

- TeachTxtParser.cxx